Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Number

    java.lang.Object
      java.lang.Number

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AtomicInteger, AtomicLong, BigDecimal, BigInteger, Byte, Double, Float, Integer, Long, Short

    public abstract class Number

extends Object
implements Serializable

The abstract class `Number` is the superclass of classes `BigDecimal`, `BigInteger`, `Byte`, `Double`, `Float`, `Integer`, `Long`, and `Short`.

Subclasses of `Number` must provide methods to convert the represented numeric value to `byte`, `double`, `float`, `int`, `long`, and `short`.

Since:
  JDK1.0
See Also:
  `Byte`, `Double`, `Float`, `Integer`, `Long`, `Short`, Serialized Form

Constructor Summary
`Number()`

Method Summary
`byte` | `byteValue()` Returns the value of the specified number as a `byte`.
`abstract double` | `doubleValue()` Returns the value of the specified number as a `double`.
`abstract float` | `floatValue()` Returns the value of the specified number as a `float`.
`abstract int` | `intValue()` Returns the value of the specified number as an `int`.
`abstract long` | `longValue()` Returns the value of the specified number as a `long`.
`short` | `shortValue()` Returns the value of the specified number as a `short`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Number

    public Number()

Method Detail

### intValue

    public abstract int intValue()

  Returns the value of the specified number as an `int`. This may involve rounding or truncation.

  Returns:
    the numeric value represented by this object after conversion to type `int`.

### longValue

    public abstract long longValue()

  Returns the value of the specified number as a `long`. This may involve rounding or truncation.

  Returns:
    the numeric value represented by this object after conversion to type `long`.

### floatValue

    public abstract float floatValue()

  Returns the value of the specified number as a `float`. This may involve rounding.

  Returns:
    the numeric value represented by this object after conversion to type `float`.

### doubleValue

    public abstract double doubleValue()

  Returns the value of the specified number as a `double`. This may involve rounding.

  Returns:
    the numeric value represented by this object after conversion to type `double`.

### byteValue

    public byte byteValue()

  Returns the value of the specified number as a `byte`. This may involve rounding or truncation.

  Returns:
    the numeric value represented by this object after conversion to type `byte`.
  Since:
    JDK1.1

### shortValue

    public short shortValue()

  Returns the value of the specified number as a `short`. This may involve rounding or truncation.

  Returns:
    the numeric value represented by this object after conversion to type `short`.
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.